import React from 'react';
import {Popover} from 'antd';
import './Component.scss';

export default (({menu , children, overlayClassName})=>{
  return(
    <Popover content={menu} trigger={['click']} placement='bottom' overlayClassName={overlayClassName}>
      {children}
    </Popover>
  )
})