import React from 'react';
import { AlignCenterBetween , Blueline , FlexAJ } from '../../Component/layout';


function head({manager , parameter}){
  return(
    <AlignCenterBetween>
      <span className="font-20">引擎配置</span>
      <FlexAJ>
        {
          parameter && <Blueline onClick={parameter}>参数管理</Blueline>
        }
        {
          manager && <Blueline style={{marginLeft:"20px"}} onClick={manager}>模板管理</Blueline>
        }
        <a href={`https://forum.trustie.net/forums/3111/detail`} target="_blank" className="color-grey-6 ml20"><i className="iconfont icon-tishi1 font-14 mr3"></i>模板使用说明</a>
      </FlexAJ>
    </AlignCenterBetween>
  )
}
export default head;