import React from 'react';
import './sub.scss';
import CopyTool from '../../Component/CopyTool';

function Invite({code,className}) {

  return(
    <div className={className}>
      <span className="font-16 color-ooo">邀请码</span>
      <div>
        <input value={code} id="devitecode" style={{width:"62px",border:"none",cursor:"default"}} readOnly/>
        <CopyTool timeOut={true} beforeText={<p className="edu-txt-center">可以通过邀请码邀请成员加入项目<br/>点击复制邀请码。</p>} className="ml8 font-16" inputId="devitecode"/>
      </div>
    </div>
  )
}
export default Invite;