import React from 'react';
import { Modal } from 'antd';

function Modals({visible , okText , cancelText , onOk , onCancel , children}){

  return(
    <Modal 
      visible={visible}
      okText={okText}
      onCancel={onCancel}
      onOk={onOk}
      cancelText={cancelText}
      title={"提示"}
      closable={false}
      centered
    >
      {children}
    </Modal>
  )
}
export default Modals;