import React from 'react';
import Cards from '../../Component/MemberCards';
import Nodata from '../../Nodata';

export default (({ data , current_user , successFunc }) => {
  return (
    data && data.length > 0 ? 
    <div className="MemberBoxThree">
      {
        data.map((item, key) => {
          return (
            <Cards
              user={item.user}
              img={item.user.image_url}
              name={item.user.name}
              time={item.created_at}
              focusStatus={item.user.watched}
              is_current_user={current_user && item.user.login === current_user.login}
              login={item.user.login}
              successFunc={successFunc}
            />
          )
        })
      }
    </div>:<Nodata _html="暂无团队成员"/>
  )
})