import React from "react";
import { Link } from "react-router-dom";
import system from './image/system.svg';

import './review.scss';
import '../index.scss';

function Review(){
  return(
    <div className="expert_review_system centerbox">
      <div className="navigation">
        <Link to='/'>首页</Link>&nbsp;&gt;&nbsp;<span>专家评审系统</span>
      </div>
      <div className="notExpert center_flex">
        <img src={system} alt="img not found"/>
        <p className="ne_title">红山开源平台专家评审系统</p>
        <p className="ne_tips">您尚未被入选本平台专家团队，可提交专家资料进行注册申请加入专家团队</p>
        <p className="ne_bar"></p>
        <Link to='/expert/user/register'><button className="but41_fill">专家注册</button></Link>
      </div>
    </div>)
}
export default Review;