// task静态数据
export const taskStatusArr = [
  { dicItemCode: "3,4,5,6,7", name: "正在进行中", dicItemName: "正在进行中" },
  { dicItemCode: "8", name: "已完成", dicItemName: "已完成" },
];

export const taskStatusAllArr = [
  { dicItemCode: 0, name: "草稿", dicItemName: "草稿" },
  { dicItemCode: 1, name: "待审核", dicItemName: "待审核" },
  { dicItemCode: 2, name: "已拒绝", dicItemName: "已拒绝" },
  { dicItemCode: 3, name: "成果征集中", dicItemName: "成果征集中" },
  { dicItemCode: 4, name: "成果评选中", dicItemName: "成果评选中" },
  { dicItemCode: 5, name: "公示中", dicItemName: "公示中" },
  { dicItemCode: 6, name: "协议签订中", dicItemName: "协议签订中" },
  { dicItemCode: 7, name: "支付中", dicItemName: "支付中" },
  { dicItemCode: 8, name: "已完成", dicItemName: "已完成" },
  { dicItemCode: 9, name: "待修缮", dicItemName: "待修缮" },
];

export const taskTimeArr = [
  { dicItemCode: 1, name: "24小时到期", dicItemName: "24小时到期" },
  { dicItemCode: 3, name: "3天内到期", dicItemName: "3天内到期" },
  { dicItemCode: 7, name: "7天内到期", dicItemName: "7天内到期" },
];

export const taskModeIdArr = [
  { dicItemCode: 1, name: "单人悬赏", dicItemName: "单人悬赏" },
  { dicItemCode: 2, name: "多人悬赏", dicItemName: "多人悬赏" },
  { dicItemCode: 3, name: "计件悬赏", dicItemName: "计件悬赏" },
];

export const approveArr = [
  { dicItemCode: "3,4,5,6,7,8", name: "已同意", dicItemName: "已同意" },
  { dicItemCode: "2", name: "已拒绝", dicItemName: "已拒绝" },
  { dicItemCode: "9", name: "待修缮", dicItemName: "待修缮" },
];

export const proofArr = [
  { dicItemCode: 1, name: "已同意", dicItemName: "已同意" },
  { dicItemCode: 0, name: "已拒绝", dicItemName: "已拒绝" },
  { dicItemCode: 2, name: "待审核", dicItemName: "待审核" },
];

export const publicityArr = [
  { dicItemCode: 1, name: "已受理", dicItemName: "已受理" },
  { dicItemCode: 0, name: "不受理", dicItemName: "不受理" },
];

export const agreementArr = [
  { dicItemCode: 0, name: "已驳回", dicItemName: "已驳回" },
  { dicItemCode: 1, name: "已同意", dicItemName: "已同意" },
  { dicItemCode: 2, name: "待审核", dicItemName: "待审核" },
];

export const publishModeArr = ["自主提交", "统筹任务"];

export const delayTaskArr = [
  { dicItemCode: 3, name: "成果征集中", dicItemName: "成果征集中" },
  { dicItemCode: 4, name: "成果评选中", dicItemName: "成果评选中" },
  { dicItemCode: 6, name: "协议签订中", dicItemName: "协议签订中" },
  { dicItemCode: 7, name: "支付中", dicItemName: "支付中" },
];

export const delayDealArr = [
  { dicItemCode: 1, name: "延期", dicItemName: "延期" },
  { dicItemCode: 2, name: "关闭", dicItemName: "关闭" },
];

export const sortArr = [
  {
    name: "综合",
    type: "default",
  },
  {
    name: "最新",
    type: "createdAt",
    icon: true,
    desc: false,
  },
  {
    name: "最热",
    type: "visits",
    icon: true,
    desc: false,
  },
  {
    name: "价格",
    type: "bounty",
    icon: true,
    desc: false,
  },
];

export const applyStatusArr = [
  { dicItemCode: "0,3,4", name: "待确认", dicItemName: "待确认" },
  { dicItemCode: "1", name: "未采纳", dicItemName: "未采纳" },
  { dicItemCode: "2", name: "评选胜出", dicItemName: "评选胜出" },
];

export const applyStatusAllArr = [
  { dicItemCode: "0", name: "待确认", dicItemName: "待确认" },
  { dicItemCode: "1", name: "未采纳", dicItemName: "未采纳" },
  { dicItemCode: "2", name: "评选胜出", dicItemName: "评选胜出" },
  { dicItemCode: "3", name: "待确认", dicItemName: "待确认" },
  { dicItemCode: "4", name: "待确认", dicItemName: "待确认" },
];

export const paperCheckStatusArr = [
  { dicItemCode: "0", name: "待审核", dicItemName: "待审核" },
  { dicItemCode: "1", name: "通过", dicItemName: "通过" },
  { dicItemCode: "2", name: "未通过", dicItemName: "未通过" },
];

export const paperCheckTextArr = [
  "您已成功提交，请等待审核！",
  "您的成果已经审核通过！",
  "您的成果审核未通过",
];

export const paperComplainStatusArr = [
  { dicItemCode: "0", name: "未通过", dicItemName: "未通过" },
  { dicItemCode: "1", name: "通过", dicItemName: "通过" },
  { dicItemCode: "2", name: "待审核", dicItemName: "待审核" },
];

export const showUserModeArr = [
  { dicItemCode: 0, name: "不公示", dicItemName: "不公示" },
  { dicItemCode: 1, name: "自动公示", dicItemName: "自动公示" },
  { dicItemCode: 2, name: "手动公示", dicItemName: "手动公示" },
];

export const myPaperStatusArr = ["待确认", "未采纳", "评选胜出"];

export const formItemLayout = {
  labelCol: {
    xs: { span: 10 },
    sm: { span: 6 },
    lg: { span: 3 },
  },
  wrapperCol: {
    xs: { span: 14 },
    sm: { span: 18 },
    lg: { span: 21 },
  },
};

export const main_web_site_url =
  localStorage.chromesetting &&
  JSON.parse(localStorage.chromesetting).main_web_site_url;

export const current_main_site_url =
  localStorage.chromesetting &&
  JSON.parse(localStorage.chromesetting).current_main_site_url;

export const formModalLayout = {
  labelCol: {
    xs: { span: 10 },
    sm: { span: 6 },
  },
  wrapperCol: {
    xs: { span: 14 },
    sm: { span: 18 },
  },
};

export const tailFormItemLayout = {
  wrapperCol: {
    xs: {
      span: 20,
      offset: 4,
    },
    sm: {
      span: 20,
      offset: 4,
    },
  },
};

export const agreementContent =
  '<p>投稿协议内容示例，请在管理 — 创客 — 基础数据 — 应征投稿协议内容 修改.</p><p>   <strong>在您通过本平台在线签署应征投稿合同前，请您认真细致地阅读以下《应征投稿协议》，特别是其中以粗体下划线明显标注的条款，并在您同意了下述协议条款再正式进入后续程序</strong></p><p>本协议由甲方（任务发布方）和乙方（应征者）在线签订，请甲乙双方仔细阅读协议内容， <strong>请务必审慎阅读、充分理解各条款内容，特别是免除或者限制责任的条款、法律适用和争议解决条款</strong>。 甲乙双方点击接受本协议，即意味着已阅读、理解并接受本协议所有条款，并对本协议条款的含义及相应的法律后果已全部知晓并充分认可。甲乙双方点击确认本协议后，本协议即产生法律约束力。</p><p>本协议内容包括协议正文及甲乙双方在线相互确认的合同。所签订的合同、合同附件为本协议不可分割的一部分，与本协议正文具有同等法律效力。若您继续使用本平台创客空间，则表明您已经完全知晓、认可并同意遵守本协议内容、所有汇新云已经发布的各类规则以及签订的合同。</p><p>在阅读本协议的过程中，如不同意本协议或其中任何条款约定，应拒绝接受本协议所约定的内容，甲乙双方都有权自主选择拒绝达成合作。</p><h5 id="h5-1-"><a name="1.定义" className="reference-link"></a><span className="header-link octicon octicon-link"></span>1.定义</h5><p>除非本协议另有约定，在本协议中所用下列术语定义如下:</p><p>1.1 本平台：是指www.XXXXXX.com 为用户提供任务信息发布、交流，第三方以“企业”或“个人”入驻的形式应征任务的电子商务交易服务平台；</p><p>1.2 用户：指在本平台合法注册，接受并认可服务平台相关协议、规则、规范、制度等的自然人、法人或其他非法人组织。</p><p>1.3 甲方：指在本平台上发布创客任务的用户。</p><p>1.4 乙方：是指经本平台审核通过入驻本平台，根据任务方发布的任务，提供各种定制服务或IT产品，在平台开展业务经营的企业或个人。</p><p>1.5 服务任务：指甲方基于自身任务向乙方提出的具体服务要求。</p><p>1.6 项目款：指甲方和乙方的交易金额，即本协议约定交易金额或后续经协商调整后确定的交易总金额。</p><p>1.7 平台账户：指用户在本平台注册的帐号，用户只能通过该帐户登陆服务平台进行交易。</p><h5 id="h5-2-"><a name="2.甲方权利义务" className="reference-link"></a><span className="header-link octicon octicon-link"></span>2.甲方权利义务</h5><p>2.1 甲方应当根据服务任务主动向乙方提交本项目所需的相关资料，并保证该资料的真实性、合法性、准确性、完整性，如因甲方未按照前述标准提供资料导致乙方无法履行协议义务，由此产生的责任由甲方自行承担。</p><p>2.2 甲方在向乙方提交项目所涉及资料时有权一并对乙方的服务提出建议和思路，同时有权在验收时对乙方的服务成果提出修改意见，但甲方提出的服务建议或思路以及修改意见应当明确具体，如不明确，有权不听取建议或拒绝修改，同时甲方不得借机拖延进度及应支付的款项，甲方提出超出协议或合同约定范围的修改要求，乙方有权拒绝或者另行收取费用。</p><p>2.3 甲方未按照合同在约定的日期内支付项目款的，乙方有权拒绝或顺延提供服务。</p><p>2.4 甲方应充分了解且同意遵守服务平台公布的所有协议、规则、制度等文件，并按照服务平台的相关规定处理相关交易事项。</p><p>2.5 甲方应及时验收乙方交付的服务成果（包括阶段成果和最终成果），如乙方向甲方提交服务成果后在规定期限日内甲方未给出具体验收意见的，视为乙方提交的服务成果合格。如有下一阶段服务的，乙方有权继续推进；如下一阶段服务因甲方原因导致无法继续推进的，乙方不承担任何责任。</p><p>2.6 甲方有义务向乙方提供必要的配合义务，包括提供必要资料、及时验收、及时回复等。</p><p><strong>2.7 甲方同意并知晓，乙方仅提供合法、合规、合理的服务，对甲方违背法律法规或行政规章的服务要求，乙方有权拒绝提供服务。</strong></p><p><strong>2.8 甲方应当保证委托的服务事项不违反任何法律法规或侵犯他人合法权利，否则乙方有权拒绝提供服务并有权立即解除本协议。</strong></p><p><strong>2.9 甲方应当保证合法使用乙方提交的服务成果，不得将服务成果用于任何违法违规或侵犯他人合法权益的活动，甲方应自行承担服务成果使用过程中发生的全部责任。</strong></p><p><strong>2.10 甲方同意，为便于双方交易，本协议作为交易的主要内容和双方之间权利义务的根本性约定，具体服务项目、期限、金额等甲方在平台与乙方签订电子合同时在合同上予以标注，甲方对在合同中提供的所有信息的真实性负责。</strong></p><p><strong>2.11 甲方在签订线下子合同时，应仔细确认所需要的服务内容、价格、数量、交付方式等信息。该信息将作为甲方的真实意思表示，甲方应对该等信息的法律后果承担责任。</strong></p><p><strong>2.12 甲方理解并同意：签订线下合同时系统生成的订单信息是计算机信息系统根据乙方填写的内容自动生成的数据，仅是乙方发出的合同要约；甲方收到乙方的合同信息内容并确认签字后，合同生效。</strong></p><p><strong>2.13 甲方同意并授权平台方保存其信息（包括但不限于注册信息）</strong></p><h5><a name="3. 乙方权利义务" className="reference-link"></a><span className="header-link octicon octicon-link"></span>3. 乙方权利义务</h5><p>3.1 乙方应按照合同约定的时间和质量向甲方提供服务。</p><p>3.2 乙方应当积极听取甲方的修改意见，甲方提出合理任务且提出明确的修改意见的，乙方在提交服务成果后可提供修改服务，但超出合同约定内容的修改任务乙方有权拒绝。</p><p>3.3 乙方应当对甲方提供的相关资料承担保密义务，除为履行本协议义务及法律规定外，不得向第三方透露。</p><p>3.4 乙方有权要求甲方按照合同约定的日期支付相应款项，否则乙方有权拒绝、顺延提供服务和不发起项目验收；</p><p>3.5 甲方与乙方约定分阶段工作的，乙方完成阶段性工作并发起验收，甲方应在规定期限日内予以验收确认，验收合格后乙方有权要求甲方支付下一开发阶段的项目启动资金；如甲方在规定期限日内未予以验收的，则视为验收合格。</p><p>3.6 在双方签订的合同生效后，乙方有权要求甲方先支付阶段性工作的项目启动资金进行托管后，再进行工作。</p><p>3.7 因乙方自身原因导致约定分阶段工作未能如期完成并交付，则乙方需要与甲方提前协商沟通，并在汇新云平台上发起项目延期函，甲方进行确认后方可生效。若乙方未提前发起项目延期函并与甲方确认，否则乙方需按照约定的日期进行交付，由此产生的责任由乙方自行承担。</p><p>3.8 乙方应按照法律规定自行缴纳相应税费。</p><p>3.9 乙方可能会向实现甲方任务所必须的关联方或合作伙伴共享甲方的订单信息，以保障为甲方提供的服务顺利进行。比如乙方必须将甲方的订单信息与第三方服务商共享来实现甲方的服务任务，并使其完成后续的售后服务，甲方对此无异议。</p><p>3.10 乙方应将平台方公布的最新信息传递给甲方，维护三方合作关系。</p><p>3.11 乙方对服务中产生的因己方原因造成的甲方损失负有责任，应负责解决；若因此对平台造成损失的，乙方应赔偿平台方全部损失。</p><h5 id="h5-4-"><a name="4.服务平台方权利义务" className="reference-link"></a><span className="header-link octicon octicon-link"></span>4.服务平台方权利义务</h5><p>4.1 平台方对甲乙双方的注册申请有审核决定的权利；</p><p>4.2 平台方享有为维护系统而短暂停止服务的权利，暂停服务之前，平台方将在系统进行通知，甲乙双方应留意公告并做好相应备份工作。</p><p>4.3 平台方有权根据中国法律法规的调整、行政执法机关的命令和社会伦理道德的变化相应调整在线管理服务的审核标准，甲乙双方不得以类似“以前曾通过汇新云服务审核”的理由要求平台方继续审核通过；</p><p>4.4 乙方使用服务平台的账号密码所进行的一切操作视为乙方行为。乙方应妥善平台的账号密码，否则由此造成的一切后果由乙方承担；一旦发生安全问题应立即通知平台方以共同采取措施包括但不限于冻结账号等。</p><p>4.5 平台方有权根据自身任务改变平台服务规则，并在服务平台进行公告；</p><p>4.6 若乙方超过90天不使用平台账号的，平台方有权屏蔽或注销其账号。</p><h5 id="h5-5-"><a name="5. 知识产权" className="reference-link"></a><span className="header-link octicon octicon-link"></span>5. 知识产权</h5><p>5.1 本协议所产生成果的知识产权在甲方支付完全部项目款后，归甲方所有，乙方或乙方委托提供服务的第三方保留法律规定禁止转让部分的知识产权，同时保留服务成果用于案例展示、评选的权利。但甲方与乙方另有约定的除外。</p><p>5.2 乙方应当保证服务成果符合国家法律法规的规定，不存在任何侵犯第三方的所有权、知识产权、名誉权、肖像权等侵权行为，并承担因此产生的全部责任。</p><p>5.3 甲方的服务任务如需采购第三方知识产权产品的，乙方应当及时告知甲方经甲方书面同意且支付采购费用后，乙方予以采购并使用或由甲方自行采购并提供给乙方使用。</p><p>5.4 甲方在未付清所有服务费用之前，不得使用服务成果，不得主张服务成果的知识产权。如甲方在未付清服务费用之前自行或许可他人使用（包含但不限于直接使用、修改后使用）乙方提交的服务成果的，导致乙方或者其他第三方遭受损失的，甲方应承担由此产生的全部责任。</p><p>5.5 甲方应积极就服务成果申请相关知识产权（如有），如发生第三方侵权的，乙方可协助甲方维权，但不对维权结果承担任何责任。</p><ol>  <li>责任限制</li></ol><p>乙方依照法律规定履行基础保障义务，但对于下述原因导致的合同履行障碍、履行瑕疵、履行延后或履行内容变更等情形，乙方并不承担相应的违约责任：</p><p>6、因自然灾害、罢工、暴乱、战争、政府行为、司法行政命令等不可抗力因素；</p><p>6、因电力供应故障、通讯网络故障等公共服务因素或第三人因素；</p><p>6、在乙方已尽善意管理的情况下，因常规或紧急的设备与系统维护、设备与系统故障、网络信息与数据安全等因素。</p><ol>  <li>违约责任</li></ol><p>7.1 乙方未按照合同的约定按时提交服务成果的，应向甲方支付合同中规定的违约金。</p><p>7.2 甲方在服务期间无正当理由单方终止协议的，已支付费用无权要求返还。</p><p>7.3 乙方在服务期间无正当理由单方终止协议的，所收取的费用应当全部退回给甲方。</p><p>7.4 甲乙双方应遵守平台规则以及维护平台商业形象以及维护平台方正常运营，若因甲乙双方任何一方的原因给平台方造成损失的，平台方有权追究其责任，要求其支付违约金，并有权冻结其享有的平台账号；若平台方以法律手段维护其权益的，平台方所支付的全部费用，包括但不限于律师费、诉讼费等，全部由违约方承担。</p><ol>  <li>争议解决</li></ol><p>8.1 因本协议及与本协议有关的争议、解释等，均适用中华人民共和国法律。</p><p>8.2 本协议签订或履行过程中，如有争议，双方应当友好协商解决；协商不成，双方一致同意提交平台方所在地人民法院解决。</p><ol>  <li>其他</li></ol><p>9.1 本协议以电子文本形式生成，甲方与乙方完成协议订立手续后，即具有与手写签名同等的法律效力。</p><p>9.2 本协议中的任何约定如违反法律法规的规定而无效的，该无效条款不影响本协议其他条款的效力，甲方与乙方仍因履行其他条款所约定的权利义务。</p><p>9.3 本协议内容中以加粗方式显著标识的条款，请着重阅读。甲乙方点击“确认”按钮即视为完全接受本协议，在点击之前请再次确认已知悉并完全理解本协议的全部内容</p>';

export const expertReviewArr = [
  { dicItemCode: 1, name: "提交评审", dicItemName: "提交评审" },
  { dicItemCode: -1, name: "不提交评审", dicItemName: "不提交评审" },
];
