import React from "react";
import Login from "./Login";
import Register from "./Register";
import ResetPassword from "./ResetPassword";
import logo from './img/logo.svg';
import banner from './img/banner.png';
import ball from './img/ball.png';
import img1 from './img/img1.png';
import img2 from './img/img2.png';
import '../loginRegister/LoginRegisterPage.scss';

function LoginRegisterPage(props){
  return(
    <div className="loginRegister">
      <div className="login_register_left">
        <img src={logo} className="logo" onClick={()=>{window.location.href='/'}}></img>
        <img src={ball} className="ball"></img>
        <img src={banner} className="banner"></img>
      </div>
      <div className="login_register_right">
        {props.location.pathname === "/login" ? <Login {...props}/> : props.location.pathname === "/register" ? <Register/> : <ResetPassword/>}
        <img src={img1} className="img1"></img>
        <img src={img2} className="img2"></img>
      </div>
      <div className="clear"></div>
    </div>
  )
}
export default LoginRegisterPage;