import React from "react";
import { Input } from "antd";

const { Search } = Input;
export default ({ placeholder , onSearch , onChange }) => {
  return (
    <Search 
      allowClear
      placeholder={placeholder}
      enterButton={'搜索'}
      onSearch={onSearch}
      width="300px"
      onChange={onChange}
    ></Search>
  )
};
