import React from 'react';
import styled from 'styled-components';

const Nav = styled.div`{
  background-color:#fff;
  padding:20px 30px;
  border-bottom:1px solid #eee;
  font-size:18px;
  color:#333;
  display:flex;
  justify-content: space-between;
  align-items:center;
}`

export default (({children})=>{
  return(
    <Nav>{children}</Nav>
  )
})